Package org.drinkless.tdlib

# Class TdApi.StoryFullId

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryFullId

Enclosing class:
  `TdApi`

public static class TdApi.StoryFullId extends TdApi.Object
Contains identifier of a story along with identifier of the chat that posted it.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `posterChatId`
  Identifier of the chat that posted the story.
  `int`
  `storyId`
  Unique story identifier among stories of the chat.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryFullId()`
  Contains identifier of a story along with identifier of the chat that posted it.
  `StoryFullId(long posterChatId, int storyId)`
  Contains identifier of a story along with identifier of the chat that posted it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### posterChatId

    public long posterChatId
    Identifier of the chat that posted the story.

  - ### storyId

    public int storyId
    Unique story identifier among stories of the chat.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryFullId

    public StoryFullId()
    Contains identifier of a story along with identifier of the chat that posted it.

  - ### StoryFullId

    public StoryFullId(long posterChatId, int storyId)
    Contains identifier of a story along with identifier of the chat that posted it.
    Parameters:
      `posterChatId` - Identifier of the chat that posted the story.
      `storyId` - Unique story identifier among stories of the chat.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR